package com.qmth.teachcloud.cas.mq.gdpu.bean;

/**
 * 流转表DTO
 */
public class RemarkInfoDTO {
    /**
     * 完成时间
     */
    private String endTime;
    /**
     * 唯一标志
     */
    private String orunId;
    /**
     * 需要办理的节点编号
     */
    private String nodeId;
    /**
     * 节点的地址，当每个节点都有独立的链接时使用改字段，为空时取主流程的地址
     */
    private String url;
    /**
     * 移动端的地址，当每个节点都有独立的链接时使用改字段，为空时取节点的地址
     */
    private String mobileUrl;
    /**
     * 需要办理的节点名称
     */
    private String nodeName;
    /**
     * 节点批次，用来区分节点顺序
     */
    private String nodeBatch;
    /**
     * 状态 End,Current,Done
     */
    private String status;
    /**
     * 开始时间
     */
    private String startTime;
    /**
     * 耗时
     */
    private String difTime;
    /**
     * 操作类型名称 例：同意、不同意、通过、不通过
     */
    private String actionName;
    /**
     * 用户的ID
     */
    private String userId;
    /**
     * 需要办理的用户的姓名
     */
    private String userName;
    /**
     * 操作类型 agree、reject
     */
    private String actionId;
    /**
     * 办理意见
     */
    private String remark;

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public String getOrunId() {
        return orunId;
    }

    public void setOrunId(String orunId) {
        this.orunId = orunId;
    }

    public String getNodeId() {
        return nodeId;
    }

    public void setNodeId(String nodeId) {
        this.nodeId = nodeId;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getMobileUrl() {
        return mobileUrl;
    }

    public void setMobileUrl(String mobileUrl) {
        this.mobileUrl = mobileUrl;
    }

    public String getNodeName() {
        return nodeName;
    }

    public void setNodeName(String nodeName) {
        this.nodeName = nodeName;
    }

    public String getNodeBatch() {
        return nodeBatch;
    }

    public void setNodeBatch(String nodeBatch) {
        this.nodeBatch = nodeBatch;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getDifTime() {
        return difTime;
    }

    public void setDifTime(String difTime) {
        this.difTime = difTime;
    }

    public String getActionName() {
        return actionName;
    }

    public void setActionName(String actionName) {
        this.actionName = actionName;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getActionId() {
        return actionId;
    }

    public void setActionId(String actionId) {
        this.actionId = actionId;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}
